\section{Introduction}

Mostly all IT-Projects in large companies realize technical requirements which are requested by different business branches. To adjust IT-Projects to the overall strategy of the company it is essential to develop and manage enterprise architectures \cite{aier2009virtual}. The most common definition of the term Architecture is found in the ISO norm ISO/IEC/IEEE 42010:2011. There it is described as the "fundamental concepts or properties of a system in its environment embodied in its elements, relationships, and in the principles of its design and evolution". Therefore an EA is a holistic view over all underlying structures, elements and their relations. It gives large enterprises a centralized framework, to consolidate their strategic plans and business mission. According to IT, it includes all IT-relevant components in the business, like information resource management, life cycle planning, systems or software reengineering. Furthermore, it is considered to be the backbone for coordination of actual and further development of the business IT systems and data.~\cite{rood1994enterprise}

A real-life example where an EA needs to be used is the following: The Dutch government did a massive redesign of their entire chain of organizations involved in their social security system. In this context, the collection of employees' social security premiums is transferred from the central social security organization to the tax administration. For sure, this sounds logical, since the collection of taxes is pretty similar to collecting social security premiums. This seemingly simple change needs a major redesign of organizational structures, business processes, IT applications, and technical infrastructure. Massive data flows need to be redirected within the different organizations.\cite{lankhorst2009enterprise}
%As such organisations are using a large landscape of applications, such a change isn't possible by doing it manually.

%According to the definitions given by Pereira et al.~\cite{pereira2004method} and Rood.~\cite{rood1994enterprise} an EA is described as a corporate's model with it's primary components, reactions and interactions with each other.

As in the revolution of information technology (especially in businesses), IT landscapes like the above described, become increasingly larger (Vodanovich et al.~\cite{vodanovich2010research}). As a result of that, the complexity of IT-systems is continuously growing, so that manual maintenance is unfeasible. Nevertheless, to keep systems preferably facile, it is a common practice trying to reduce the complexity of such systems e.g. eliminating elements to reduce complexity. There are several options on which parameters a system should be optimized e.g. minimal quantity of elements or minimum operating costs. Aspects which are important for an optimal solution are depending on the usage, but often a hybrid solution is necessary. In this paper, we integrate the approach from Hacks and Lichter \cite{hacks2018optimierung}, in which they find an optimal solution considering transition costs for adding and removing applications to be economically reasonable. In larger businesses departments commonly have department budgets to get an easier financial overview for managers. Additionally, budgets are often shared by different departments or one department is using more than one budget. This will be the case if e.g. two departments benefit from the same software in the EA. To achieve a more realistic optimization model we integrate such department budgets with this approach.

As the goal of this paper is to improve modelling of EAs in an optimization sense we will not focus on suggestions for management decisions that could be derived from this data. We will represent EAs in the form of graphs, where elements are detailed as nodes and relations as edges. Interpretation of what constitutes elements and edges will be specific to the particular usecase. 

In section \ref{s:related_work} of our paper we introduce related work according to mathematically described EAs and their previous optimization models. Here we focus on two previous approaches on which this paper is based. The formal definition of EAs budgets and our approach to optimizing considering different budgets is introduced in section \ref{s:model_eao}. Considering this formal definition we also developed a technological implementation which is described in section \ref{s:implementation}. To evaluate and prove our findings we give an insight on how our approach is scaling in reality according to our implementation which we will introduce in section \ref{s:evaluation}. In section \ref{s:conclusion} we summarize our results and give a short perspective on further regarding topics. 
\newline
\section{Related Work}
\label{s:related_work}
Different work has been done to describe and optimize EAs in a mathematical programming formulation fitted to their field of use. 
As mentioned above, the most important related work, on which this paper is mainly based on, is worked-out from Hacks and Lichter \cite{hacks2018optimierung}. Here the authors optimize relations between two adjacent layers of EAs considering operational costs and transition costs to change systems from the as-is state to the optimal state. In this graph, optimization constraints are interpreted between two layers as triangles. These triangles consist of the connection between a needed capability of an upper layer element which is realized by a lower element. The optimization model is then solved using a linear integer program which is even appropriable for realistic scenarios. In our approach, we extend this optimization problem from Hacks and Lichter regarding department budgets which also can be not mutually exclusive. 

A similar approach from Giakoumakis et al. focused on replacing existing services with new services without disrupting the enterprise which they call the "information system architecture evolution management problem" \cite{giakoumakis2012technological}. They formalized this problem into a graph and solved it using the multi-objective optimization problem which considers departments, existing services, new services and IT-components. To apply changes in the EA they link services and modules, department and services and attach transition costs for changes. In this paper, old services are replaced by new services one-to-one, which is not a common practice. Although they considered budgets to fund the changes, each department has only one budget, so that budgets are mutually exclusive. 

Another optimization approach is made by Franke et al. \cite{franke2010consolidation} where they use a binary integer programming model to find an optimal mapping between IT systems and processes based on needed functionalities. These functionalities are connected with processes they use and with certain fulfilling IT systems. In a next step, connections for the as-is state will be made through connecting processes and IT systems directly, which has to be optimized by applying change costs and operation costs. Therefore redundant connections will be dissolved.

One fundamental different approach concerning transition costs is made from Lagerstrom et al. \cite{lagerstrom2010architecture} by using a probabilistic relation model with a meta-model based on literature research and evaluated through interviews and workshops. This is used to supply transitions costs estimation for large software projects. By providing a prediction and not optimizing the as-is state this approach differs from our formulation. 

\section{Modelling a Budgeted Enterprise Architecture Optimization}
\label{s:model_eao}
% TODO: Introduction paragraph
\input{model}

\section{Implementation}
\label{s:implementation}
\input{implementation}

\section{Evaluation}
\label{s:evaluation}
% TODO: Introduction paragraph
\input{evaluation}

\section{Conclusion}
\label{s:conclusion}
\input{conclusion}